#pragma once
#include "Entity.h"
#define CS_TAPSCISSORSRAIN_LOCATER_CREATENAME L"CS_tapscissorsrain_locater"
class CS_TapScissorsRain_Locater :
    public Entity
{
public:
    CS_TapScissorsRain_Locater();
    void SetState(std::wstring stateName, int lr)override;
    void Step() override;
    void SetScissors();
    void SetRock();
    int sleep = 0;
    int appear_num = 0;
    int appear_counter = 0;
    int appear_counter_max = 30;
    int delay_counter = 0;
    bool bSetScissors = true;
};

std::shared_ptr<Entity> CreateCS_TapScissorsRain_Locater();